Package org.apache.tapestry5.internal.services

# Enum ComponentDependencyRegistry.DependencyType

java.lang.Object
java.lang.Enum<ComponentDependencyRegistry.DependencyType>
org.apache.tapestry5.internal.services.ComponentDependencyRegistry.DependencyType

All Implemented Interfaces:
  `Serializable`, `Comparable<ComponentDependencyRegistry.DependencyType>`, `java.lang.constant.Constable`

Enclosing interface:
  ComponentDependencyRegistry

public static enum ComponentDependencyRegistry.DependencyType extends Enum<ComponentDependencyRegistry.DependencyType>
Enum class defining the types of dependency components, pages and mixins can have among them.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `INJECT_PAGE`
  Dependency by usage of the InjectPage annotation.
  `SUPERCLASS`
  Superclass/subclass dependency.
  `USAGE`
  Simple usage of components and mixins in components and pages

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ComponentDependencyRegistry.DependencyType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ComponentDependencyRegistry.DependencyType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### USAGE

    public static final ComponentDependencyRegistry.DependencyType USAGE
    Simple usage of components and mixins in components and pages

  - ### SUPERCLASS

    public static final ComponentDependencyRegistry.DependencyType SUPERCLASS
    Superclass/subclass dependency.

  - ### INJECT_PAGE

    public static final ComponentDependencyRegistry.DependencyType INJECT_PAGE
    Dependency by usage of the InjectPage annotation.

- ## Method Details

  - ### values

    public static ComponentDependencyRegistry.DependencyType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ComponentDependencyRegistry.DependencyType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null